<Type Name="PosixFadviseAdvice" FullName="Mono.Unix.Native.PosixFadviseAdvice">
  <TypeSignature Language="C#" Value="public enum PosixFadviseAdvice" />
  <AssemblyInfo>
    <AssemblyName>Mono.Posix</AssemblyName>
    <AssemblyVersion>2.0.0.0</AssemblyVersion>
  </AssemblyInfo>
  <Base>
    <BaseTypeName>System.Enum</BaseTypeName>
  </Base>
  <Members>
    <Member MemberName="POSIX_FADV_NORMAL">
      <MemberSignature Language="C#" Value="POSIX_FADV_NORMAL" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.PosixFadviseAdvice</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
      </Docs>
    </Member>
    <Member MemberName="POSIX_FADV_RANDOM">
      <MemberSignature Language="C#" Value="POSIX_FADV_RANDOM" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.PosixFadviseAdvice</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
      </Docs>
    </Member>
    <Member MemberName="POSIX_FADV_SEQUENTIAL">
      <MemberSignature Language="C#" Value="POSIX_FADV_SEQUENTIAL" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.PosixFadviseAdvice</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
      </Docs>
    </Member>
    <Member MemberName="POSIX_FADV_WILLNEED">
      <MemberSignature Language="C#" Value="POSIX_FADV_WILLNEED" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.PosixFadviseAdvice</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
      </Docs>
    </Member>
    <Member MemberName="POSIX_FADV_DONTNEED">
      <MemberSignature Language="C#" Value="POSIX_FADV_DONTNEED" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.PosixFadviseAdvice</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
      </Docs>
    </Member>
    <Member MemberName="POSIX_FADV_NOREUSE">
      <MemberSignature Language="C#" Value="POSIX_FADV_NOREUSE" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.PosixFadviseAdvice</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
      </Docs>
    </Member>
  </Members>
  <Docs>
    <summary>Possible <see cref="M:Mono.Unix.Native.Syscall.posix_fadvise" /><paramref name="advice" /> values.</summary>
    <remarks />
    <altmember cref="M:Mono.Unix.Native.Syscall.posix_fadvise" />
  </Docs>
  <Attributes>
    <Attribute>
      <AttributeName>System.CLSCompliant(false)</AttributeName>
    </Attribute>
  </Attributes>
</Type>
